Subject: RE: [AAA-WG]: Issue #352

From: <[email-masked]>
Date: Mon, 2 Sep 2002 09:41:21 +0300

Hi Pete,

I agree with you.  I think that a first-come, first-serve approach
to the Application ID's would be the best way to go.  However, as
a fall back, your proposal of text is something I could live with.

Bernard / Randy / Allison: could you give proper guidence on how
Application IDs should be administered?  This needs to be solved 
ASAP!

As a quick refresher, the Application ID identifies which application
is using Diamter and is used as a way to ensure that both ends
of the session understand and speak the same AAA.

br,
John

> -----Original Message-----
> From: ext Pete McCann [mailto:[email-masked]]
> Sent: 19 August, 2002 18:26
> To: [email-masked]
> Subject: [AAA-WG]: Issue #352
> 
> 
> 
> Hi,
> 
> I wanted to make sure everyone is reading the IANA Considerations
> section of draft-12.
> 
> I think the current text is not quite correct with respect to the new
> experimental Application ID space.  Because these IDs can appear by
> themselves in a Diameter header, they really need to be centrally
> administered, rather than for Private Use as stated in Section 11.3.
> While I would personally favor First Come First Served for this space,
> I don't think we could realistically expect the IESG to go along.  How
> about Designated Expert Review as the assignment policy?
> 
> This would work as follows.  First, the existing text from 11.3:
> 
> > 11.3  Application Identifiers
> >
> >    As defined in section 2.4, the Application Identifier is used to
> >    identify a specific Diameter Application. There are 
> standards-track
> >    application ids and vendor specific application ids.
> > 
> >    IANA [IANA] will assign the range 0x00000001 to 0x00ffffff for
> >    standards-track applications; and 0xff00000000 - 0xfffffffe for
> >    vendor specific applications.
> > 
> >    Both Application-Id and Acct-Application-Id AVPs use the same
> >    Application Identifier space.
> > 
> >    Vendor-Specific Application Identifiers, encoded in the Vendor-
> >    Specific-Application-Id Grouped AVP, with the Vendor-Id 
> AVP set to
> >    the vendor's enterprise number, is for Private Use.
> >
> >    Note that the Diameter protocol is not intended to be 
> extended for
> >    any purpose. Any applications defined MUST ensure that they fit
> >    within the existing framework, and that no changes to the base
> >    protocol are required.
> 
> I propose to strike the last two paragraphs above, and add instead:
> 
> >  Vendor-Specific Application Identifiers, encoded in the Vendor-
> >  Specific-Application-Id Grouped AVP with the Vendor-Id AVP set to
> >  the vendor's enterprise number, and appearing in the Diameter
> >  header, will be assigned by IANA after review by a Designated
> >  Expert.  The Expert will ensure that the requested application fits
> >  within the existing Diameter framework, does not require changes to
> >  the base protocol, and does not cause interoperability problems
> >  with any existing Diameter application before approving the
> >  assignment.
> 
> I hope this sort of wording would satisfy all the interested parties;
> it does not allow for completely uncontrolled creation of Diameter
> applications, but I think the Designated Expert Review process is the
> least onerous to follow.  The language should address all of the IESG
> concerns regarding interoperability.
> 
> -Pete
> 
>